/*
 *	Summarize JR-Comm upload/download activity from jrcomm.log file.
 */

if ~open('jrclog','JRComm:JRComm.log','Read') then
	do
	say 'Couldn''t open jrcomm.log'
	exit 1
	end
systemname = ''
seen. = 0
upload. = ''
download. = ''
systems. = ''
nsys = 0
do while ~eof('jrclog')
	logline = readln('jrclog')
	parse var logline junk 'Connected to: ' sysname
	if sysname ~= '' then
		do
		systemname = sysname
		if ~seen.systemname then
			do
			seen.systemname = 1
			nsys = nsys + 1
			systems.nsys = systemname
			end
		end
	else
		do
		parse var logline junk 'Disconnect' ed
		if ed ~= '' then
			do
			if systemname ~= '' then
				systemname = ''
			end
		else
			do
			parse var logline 'd/l: ' rec
			if rec ~= '' then
				do
				download.systemname = download.systemname || '|' || rec
				end
			else
				do
				parse var logline 'u/l: ' rec
				if rec ~= '' then
					do
					upload.systemname = upload.systemname || '|' || rec
					end
				end
			end
		end
	end
close('jrclog')
tab = '        '
newline = '0a'x
do i = 1 to nsys
	sys = systems.i
	if upload.sys = '' & download.sys = '' then iterate
	say sys
	if upload.sys ~= '' then
		say newline || tab'Uploads'
	str = upload.sys
	parse var str '|' str		/* strip leading separator */
	do forever
		parse var str rec '|' str
		if rec = '' then leave
		parse var rec rate ' -' size ' - ' name
		say tab || tab || left(name,19) right(size,7) right(rate,8)
	end
	if download.sys ~= '' then
		say newline || tab'Downloads'
	str = download.sys
	parse var str '|' str		/* strip leading separator */
	do forever
		parse var str rec '|' str
		if rec = '' then leave
		parse var rec rate ' -' size ' - ' name
		say tab || tab || left(name,19) right(size,7) right(rate,8)
	end
	say ''
end
exit 0

